<!--ch5, k58, kreiranje templateova -->

<!--u koraku 59 smo dodali header, i sectione sa pripadajucim article, ul, li p i slicno-->
{% extends "base.html" %} <!--Odemo u settings.py od my_site i dodamo BASE_DIR / "templates" u DIRS kod TEMPLATES -->

{% load static %}

{% block title %}
    My Blog
{%endblock%}

{% block css_files %}
    <link  rel="stylesheet" href="{% static "blog/post.css" %}" />
    <link  rel="stylesheet" href="{% static "blog/index.css" %}" />
{%endblock%}

{% block content %}
    <!--Header koji je bio ovdje je prebacen u base html-->

    <section id="welcome">
        <header>
            <img src="{% static "blog/images/max.png" %}" alt="Toni - The Author Of This Blog"/>
            <h2>TONI'S BLOG</h2>
        </header>
        <p>Hi, I am Toni and I love to blog about tech and the world!</p>
    </section>

    <section id="latest-posts">
        <h2>My Latest Thoughts</h2>

        <ul>
            {% for post in posts %} <!--ch5. k65. post je proizvoljno a posts je jer je tako u views-->
                {% include "blog/includes/post.html" %} <!--Ovo dodamo i u all-posts-->
            {% endfor %}
        </ul>
    </section>

    <section id="about">
        <h2>What I Do</h2>
        <p>
            I love programming, I love to help others and I enjoy exploring new technologies in general!
        </p>
        <p>
            my goal is to keep on growing as a developer - and i I could help you do the same, I'd be very happy!
        </p>
    </section>

{% endblock %}